Bug 1384053 - Unlimited check not forced for resource filter with no taxonomies
Summary: Unlimited check not forced for resource filter with no taxonomies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Dominik Hlavac Duran
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: 1373844
TreeView+ depends on / blocked
 
Reported: 2016-10-12 12:37 UTC by Jitendra Yejare
Modified: 2019-09-26 14:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:08:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18736 'Normal' 'Closed' 'Unlimited check not forced for resource filter with no taxonomies' 2019-11-27 17:49:20 UTC

Description Jitendra Yejare 2016-10-12 12:37:55 UTC
Description of problem:
Unlimited check is not forced for resource filter in role where neither role nor that filter has any taxonomies associated.

Version-Release number of selected component (if applicable):
Satellite 6.3 snap 3.0

How reproducible:
Always

Steps to Reproduce:
1. Create a role with some taxonomies.
2. Create a filter in a role without override and unlimited checked.
3. Submit the role.
4. Edit the role and remove taxonomies assigned earlier and ensure no taxonomies are assigned to role and submit.
5. Verify if the filter in role has unlimited check checked as neither role nor filter has taxonomies associated.

Actual results:
Unlimited check not forced for filter with no taxonomies from role or from itself

Expected results:
Unlimited check should be forced for filter having no taxonomies associated to it from role or self.

Additional info:

Comment 2 Ondřej Pražák 2017-03-01 09:13:55 UTC
Created redmine issue http://projects.theforeman.org/issues/18736 from this bug

Comment 3 pm-sat@redhat.com 2017-07-25 16:08:03 UTC
Upstream bug assigned to dhlavacd@redhat.com

Comment 4 Jitendra Yejare 2017-09-07 07:07:49 UTC
This is kept on failing in all subsequent snaps. Needs to be fixed asap. I know there is workaround but Customer will be unaware of this behavior that unlimited will be forced on filter, or just notify user that the filter will be set to unlimited

Comment 5 pm-sat@redhat.com 2017-10-04 16:15:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18736 has been resolved.

Comment 6 Jitendra Yejare 2017-10-09 08:14:27 UTC
Verified !

Satellite 6.3 snap 19


Steps:

1. Created a role with some taxonomies.
2. Created a filter in a role without override and unlimited checking.
3. Submitted the role.
4. Edited the role and removed taxonomies assigned earlier and ensure no taxonomies are assigned to the role and submit.


Behavior:

The filter in the role is set to unlimited check checked when neither role nor filter has taxonomies associated.

Comment 7 Bryan Kearney 2018-02-21 17:08:24 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.